import request from '@/plugin/axios'
//查询列表
export function getCostRuleList (data) {
  return request({
    url: '/carBillingRule/getCarBillingRuleByPage',
    method: 'post',
    data
  })
}

export function getAreaOptions (data) {
  return request({
    url: '/carAreaSet/getCarAreaPullDown',
    method: 'post',
    data
  })
}
// 修改保存
export function saveOrUpdateCostRules (data) {
  return request({
    url: '/carBillingRule/saveOrUpdCarBillingRule',
    method: 'post',
    data
  })
}
//  查询
export function getCostRuleById (data) {
  return request({
    url: '/carBillingRule/getCarBillingById',
    method: 'post',
    data
  })
}
// 删除
export function onDeleteCostRules (data) {
  return request({
    url: '/carBillingRule/deleteCarBillingById',
    method: 'post',
    data
  })
}